Page MenuHomeFreeBSD

audio/supercollider: Fix LICENSE, Add missing dependency, Remove redundant dependency
ClosedPublic

Authored by ultima on Aug 11 2017, 11:47 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jun 4, 10:11 AM
Unknown Object (File)
Tue, Jun 4, 10:07 AM
Unknown Object (File)
Tue, Jun 4, 10:07 AM
Unknown Object (File)
Tue, Jun 4, 10:07 AM
Unknown Object (File)
Tue, Jun 4, 10:07 AM
Unknown Object (File)
Tue, Jun 4, 10:06 AM
Unknown Object (File)
Tue, Jun 4, 10:06 AM
Unknown Object (File)
Sat, Jun 1, 2:52 AM
Subscribers

Details

Summary
  • Bump revision for fixing missing / redundant dependencies
  • New options, HELP and SUPERNOVA, Help Install on-line help text and supernova builds with audio synthesis server
  • Added license file
  • Cleanup Makefile

PR\: 221228
Submitted by\: Yuri Victorovich
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor), brittlehaus (maintainer timeout, 1 month)
MFH: 2017Q3
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: /usr/home/ricky/FreeBSD/ports/audio/supercollider/pkg-plist: [1613]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 3 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Aug 13 2017, 12:43 PM

Did this update get forgotten about?

Maintainer didn't approve and the timeout hasn't quite hit, or is getting close. What's more, Yuri added improvements and needs to be retested. Does the timeout counts from when the patch was posted or is it when requested feedback from the maintainer? I believe it is the latter which means the new patch will be another 2 weeks once I finish testing and submit it here. This one may linger for awhile. =/

Maintainer didn't approve and the timeout hasn't quite hit, or is getting close. What's more, Yuri added improvements and needs to be retested. Does the timeout counts from when the patch was posted or is it when requested feedback from the maintainer? I believe it is the latter which means the new patch will be another 2 weeks once I finish testing and submit it here. This one may linger for awhile. =/

When to measure the maintainer timeout from depends: the earliest would be when PR 221228 was raised. If Yuri has further changes to apply since, that doesn't necessarily mean resetting the timeout. If
the further changes are just polish on the original update then the original start date can stand. OTOH, if Yuri is proposing some substantially different changes then you should probably allow two weeks
from that point.

  • New options HELP and SUPERNOVA, SUPERNOVA fails to build on 10 to it is excluded from the list.
This revision now requires review to proceed.Sep 3 2017, 6:34 PM
audio/supercollider/Makefile
50 ↗(On Diff #32626)

Is this option name okay? or should it be docs or examples?

ultima edited the test plan for this revision. (Show Details)
audio/supercollider/Makefile
50 ↗(On Diff #32626)

This is on-line help text to be accessed from within the application? Then HELP is fine as an option name. Probably adjust HELP_DESC to something like

Install on-line help text

to avoid having to field too many questions...

audio/supercollider/Makefile
51 ↗(On Diff #32628)

Same here

SUPERNOVA_CMAKE_BOOL=  SUPERNOVA
50 ↗(On Diff #32626)

I don't know about the option name, but it should probably be:

HELP_CMAKE_BOOL=   INSTALL_HELP

Made suggested _BOOL change

This revision was automatically updated to reflect the committed changes.